package jp.flup.php_crud
{
	import mx.core.IMXMLObject;
	import mx.events.FlexEvent;
	import mx.managers.PopUpManager;
	import mx.rpc.http.HTTPService;
	import mx.controls.Alert;

	public class InitViewHelper implements IMXMLObject
	{
		private var view:php_crud;
		private var form:InputForm;
		
		public function initialized(document:Object, id:String):void
		{
			view = document as php_crud;
			view.addEventListener(FlexEvent.CREATION_COMPLETE, creationCompleteHandler);			
		}
		
		private function creationCompleteHandler(event:FlexEvent):void
		{
			view.add_button.addEventListener(FlexEvent.BUTTON_DOWN, addButtonDownHandler);
			view.list_service.send();
		}
		
		// 追加ボタンを押すとダイアログを表示させる
		private function addButtonDownHandler(event:FlexEvent):void
		{
			form = PopUpManager.createPopUp(view, InputForm, true) as InputForm;
			form.form_button.addEventListener(FlexEvent.BUTTON_DOWN, formButtonDownHandler);
			PopUpManager.centerPopUp(form);
		}
		
		// 送信ボタンを押した場合の処理
		private function formButtonDownHandler(event:FlexEvent):void
		{
			form.form_button.removeEventListener(FlexEvent.BUTTON_DOWN, formButtonDownHandler);
			
			var date:Date = form.date_field.selectedDate;
			if(date != null)
			{
				var year_str:String;
				var month_str:String;
				var day_str:String;

				year_str = String(date.getFullYear());
				if(date.getMonth()+1 < 10)
					month_str = "0" + String(date.getMonth()+1);
				else
					month_str = String(date.getMonth()+1);
				if(date.getDate() < 10)
					day_str = "0" + String(date.getDate());
				else
					day_str = String(date.getDate());
				
				var date_str:String = year_str + "/" + month_str + "/" + day_str;
				
				// 送信
				var http:HTTPService = new HTTPService();
				http.url = "./add.php";
				http.method = "GET";
				http.request.date = date_str;
				http.request.title = form.title_text.text;
				http.request.desc = form.desc_text.text;
				http.send();
				
				Alert.show("追加しました。");
				view.list_service.send();
			}
			PopUpManager.removePopUp(form);
		}
	}
}